com.sun.grid.jgdi.util.shell

## Class QHostCommand

- java.lang.Object
- - com.sun.grid.jgdi.util.shell.AbstractCommand
  - - com.sun.grid.jgdi.util.shell.QHostCommand

-     public class QHostCommand
      extends AbstractCommand

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QHostCommand()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `run(java.lang.String[] args)` Run the command

    - ### Methods inherited from class com.sun.grid.jgdi.util.shell.AbstractCommand

      `getExitCode, getShell, getUsage, init, printAnswers, setExitCode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QHostCommand

          public QHostCommand()

  - ### Method Detail

    - #### run

          public void run(java.lang.String[] args)
                   throws java.lang.Exception

      Description copied from class: `AbstractCommand`
      Run the command
      Specified by:
        `run` in class `AbstractCommand`
      Throws:
        `java.lang.Exception`

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.